#ifndef __SECTIONMAP_H
#define __SECTIONMAP_H

#include <exec/types.h>
#include <proto/containerkit.h>
#include "configmodel.h"

#define SectionMap Map // a map of string (canonical name) to Section

SectionMap SectionMapNew(VOID);
VOID SectionMapSet(SectionMap map, CONST_STRPTR canonicalName, SECTIONPTR section);
SECTIONPTR SectionMapGet(SectionMap map, CONST_STRPTR canonicalName);
VOID SectionMapFree(SectionMap map);
#endif