#include "sectionstore.h"
#include "containers/sectionmap.h"
#include "containers/sectionarray.h"

#include <proto/exec.h>

struct SectionStore
{
	SectionMap map;
	SectionArray array;
};

SECTIONSTOREPTR SectionStoreNew(VOID)
{
	struct SectionStore* result = AllocVec(sizeof(struct SectionStore), MEMF_CLEAR);
	result->map = SectionMapNew();
	result->array = SectionArrayNew();
	
	return result;
}

VOID SectionStoreFree(SECTIONSTOREPTR abstractSectionStore)
{
	if( abstractSectionStore != NULL )
	{
		struct SectionStore* store = (struct SectionStore*)abstractSectionStore;
		if( store->map != NULL ) SectionMapFree( store->map );
		if( store->array != NULL ) SectionArrayFree( store->array );
		FreeVec(store);
	}
}

VOID SectionStoreAddSection(SECTIONPTR section)
{
}

VOID SectionStoreRemoveSection(SECTIONPTR section)
{
}

VOID SectionStoreRemoveSectionByName(CONST_STRPTR canonicalName)
{
}

SECTIONPTR SectionStoreGetSection(CONST_STRPTR canonicalName)
{
	return NULL;
}
